plugins {
    `java-library`
    `maven-publish`
}

repositories {
    mavenCentral()
    maven("https://maven.frohnmeyer-wds.de/artifacts")
}

dependencies {
    compileOnly("org.jetbrains:annotations:23.0.0")
}

publishing {
    repositories {
        if (rootProject.extra["isPublic"] == true) {
            maven {
                url = uri("https://git.frohnmeyer-wds.de/api/packages/JfMods/maven")
                name = "gitea"

                credentials(HttpHeaderCredentials::class) {
                    name = "Authorization"
                    value = System.getenv()["MAVEN_TOKEN"]
                }
                authentication {
                    create<HttpHeaderAuthentication>("header")
                }
            }
        }
        mavenLocal()
    }
}